<html lang="en">
<head>
<title>Arithmetic - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Language-basics.html#Language-basics" title="Language basics">
<link rel="prev" href="Literals.html#Literals" title="Literals">
<link rel="next" href="Options.html#Options" title="Options">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Arithmetic"></a>Next:&nbsp;<a rel="next" accesskey="n" href="Options.html#Options">Options</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Literals.html#Literals">Literals</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Language-basics.html#Language-basics">Language basics</a>
<hr><br>
</div>

<h4 class="subsection">3.1.4 Arithmetic expressions</h4>

<p>Arithmetic expressions over <code>sketch</code> literals and
defined identifiers are summarized in the following tables.

<ul class="menu">
<li><a accesskey="1" href="Two_002doperand-_0028binary_0029-forms.html#Two_002doperand-_0028binary_0029-forms">Two-operand (binary) forms</a>:   A op B
<li><a accesskey="2" href="Unary-forms.html#Unary-forms">Unary forms</a>:                  op A (and others)
</ul>

   </body></html>

